Name:           gncpmount
Version:        0.0.4
Release:        1%{?dist}
Summary:        Graphical user interface (GUI/GTK+) for ncpmount

Group:          Applications/System
License:        GPLv3
URL:            http://gncpmount.lipoja.net
Source0:        http://lipoja.fedorapeople.org/gncpmount/download/gncpmount-0.0.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncpfs, gettext-devel, gtk3-devel >= 3.0.10, glib2-devel >= 2.28.6, gdk-pixbuf2-devel, gnome-common
Requires:       ncpfs, gettext

%description
The "gncpmount" is small graphical user 
interface (GTK+/GUI) for "ncpmount" command.


%prep
%setup -q


%build
export NOCONFIGURE=1
./autogen.sh
%configure --prefix=/usr
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gncpmount
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/36x36/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/72x72/apps/%{name}.png
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/%{name}.mo


%changelog
* Wed Jun 29 2011 Jan Lipovský <janlipovsky@gmail.com> 0.0.4-1
- upgrade to version 0.0.4
- GTK+ 3.0
- .desktop file
- png icons
- Open/Save filter *.gnc files

* Mon Jan 10 2011 Jan Lipovský <janlipovsky@gmail.com> 0.0.3-1
- Initial version of the package
